﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverClickableArea2
{
    public enum Symbol
    {
        X = 1,
        O = 2
    }

    public delegate void AreaClick(SilverArea2 area);

    public partial class SilverArea2 : UserControl
    {
        private int _position;
        private bool _clicked = false;

        public int Position
        {
            get { return _position; }
            set { _position = value; }
        }

        public SilverArea2()
        {
            InitializeComponent();
            this.MouseLeftButtonDown += new MouseButtonEventHandler(SilverArea_MouseLeftButtonDown);
            this.Cursor = Cursors.Hand;
        }

        public event AreaClick AreaClicked;

        void SilverArea_MouseLeftButtonDown(object sender, MouseEventArgs e)
        {
            if (!_clicked)
            {
                _clicked = true;
                AreaClicked(this);
            }
        }

        public void ExposeSymbol(Symbol s)
        {
            if (s == Symbol.X) imgCross.Visibility = Visibility.Visible;
            else imgRound.Visibility = Visibility.Visible;
            if (!_clicked) _clicked = true;
        }

        public void Reset()
        {
            if (_clicked)
            {
                _clicked = false;
                imgCross.Visibility = Visibility.Collapsed;
                imgRound.Visibility = Visibility.Collapsed;
            }
        }
    }
}
